regina::LPConstraintNonSpun::Coefficients Struct Reference
Vertex Enumeration

Stores the extra coefficients in the tableaux associated with this constraint class (in this case, two extra integers per column). More...

`#include <enumerate/ntreeconstraint.h>`

## Public Member Functions

template<typename Integer >
void | fillFinalRows (LPMatrix< Integer > &m, unsigned col) const
template<typename Integer >
Integer | innerProduct (const LPMatrix< Integer > &m, unsigned mRow) const
template<typename Integer >
Integer | innerProductOct (const LPMatrix< Integer > &m, unsigned mRow) const

## Public Attributes

int | meridian
| The coefficient of the meridian equation for the corresponding column of the matching equation matrix. More...
int | longitude
| The coefficient of the longitude equation for the corresponding column of the matching equation matrix. More...

## Detailed Description

Stores the extra coefficients in the tableaux associated with this constraint class (in this case, two extra integers per column).

See the LPConstraintBase::Coefficients notes for further details.

The documentation for this struct was generated from the following file:

- enumerate/ntreeconstraint.h

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).